com.hazelcast.mapreduce

## Interface JobTracker

- All Superinterfaces:
    DistributedObject
  All Known Implementing Classes:
    ClientMapReduceProxy

  Deprecated.
  MapReduce is deprecated and will be removed in 4.0. For map aggregations, you can use `Aggregator` on IMap. For general data processing, it is superseded by Hazelcast Jet.

      @Deprecated
      public interface JobTracker
      extends DistributedObject

  The JobTracker interface is used to create instances of `Job`s depending on the given data structure / data source.

  The underlying created instance of the `Job` depends on whether it is used for a `HazelcastClient` or a `Hazelcast` member node.

  The default usage is same for both cases and looks similar to the following example:

       HazelcastInstance hz = getHazelcastInstance();
       IMap map = hz.getMap( getMapName() );
       JobTracker tracker = hz.getJobTracker( "default" );
       Job job = tracker.newJob( KeyValueSource.fromMap( map ) );

  The created instance of JobTracker is fully threadsafe and can be used concurrently and multiple times.
  Caution: Do not use the JobTracker with data structures of other `HazelcastInstance` instances than the one used for creation of the JobTracker. Unexpected results may happen!

  Since:
    3.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> TrackableJob<V>` | `getTrackableJob(String jobId)` Deprecated. Returns an implementation of `TrackableJob`, or null if the job ID is not available or the job is already finished.
    `<K,V> Job<K,V>` | `newJob(KeyValueSource<K,V> source)` Deprecated. Builds a `Job` instance for the given `KeyValueSource` instance.

    - ### Methods inherited from interface com.hazelcast.core.DistributedObject

      `destroy, getName, getPartitionKey, getServiceName`

- - ### Method Detail

    - #### newJob

          <K,V> Job<K,V> newJob(KeyValueSource<K,V> source)

      Deprecated.
      Builds a `Job` instance for the given `KeyValueSource` instance. The returning implementation depends on the `HazelcastInstance` that created the JobTracker.
      Caution: Do not use the JobTracker with data structures of other `HazelcastInstance` instances than the one used for creation of the JobTracker. Unexpected results may happen!
      Type Parameters:
        `K` - type of the key
        `V` - type of the value
      Parameters:
        `source` - data source the created Job should work on
      Returns:
        instance of the Job bound to the given KeyValueSource

    - #### getTrackableJob

          <V> TrackableJob<V> getTrackableJob(String jobId)

      Deprecated.
      Returns an implementation of `TrackableJob`, or null if the job ID is not available or the job is already finished.
      Type Parameters:
        `V` - type of the resulting value
      Parameters:
        `jobId` - job ID to search the TrackableJob for
      Returns:
        a trackable job for given job ID or null if the job ID is not available

Copyright © 2020. All rights reserved.